---
title: "Read authenticated account limits and usage"
canonical_url: "https://tweetstream.io/docs/api/get-account-status"
last_updated: 2026-11-05
---

# Read authenticated account limits and usage

GET /api/me returns the key's plan, monitored accounts and limit, open WebSocket connections and limit, and Ultra Speed usage when the plan includes it.

Canonical URL: https://tweetstream.io/docs/api/get-account-status

## `GET /api/me`

`https://api.tweetstream.io/api/me`

## Authorization

| Name | Type | Description |
| --- | --- | --- |
| `Authorization` | `string`, required | Bearer authentication with your TweetStream API key: `Bearer <key>`. |

## Response fields

| Name | Type | Description |
| --- | --- | --- |
| `credentialScope` | `enum<string>`, required |  |
| `plan` | `string`, required |  |
| `stripe` | `object`, required |  |
| `trackedAccounts` | `object`, required |  |
| `trackedAccounts.count` | `integer`, required |  |
| `trackedAccounts.handles` | `string[]`, required |  |
| `trackedAccounts.limit` | `integer`, required |  |
| `ultraSpeed` | `object`, required |  |
| `ultraSpeed.trackedAccounts` | `object`, required |  |
| `ultraSpeed.trackedAccounts.count` | `integer`, required |  |
| `ultraSpeed.trackedAccounts.handles` | `string[]`, required |  |
| `userId` | `string`, required |  |
| `websocket` | `object`, required |  |
| `websocket.count` | `integer`, required |  |
| `websocket.limit` | `integer`, required |  |

## Responses

| Status | Description | Headers |
| --- | --- | --- |
| `200` | Success |  |
| `401` | Missing or invalid API key |  |
| `403` | The authenticated account cannot use this capability |  |
| `404` | The requested resource was not found |  |
| `500` | The request could not be completed |  |

### 200

```json
{
  "credentialScope": "standard",
  "plan": "<string>",
  "stripe": {},
  "trackedAccounts": {
    "count": 0,
    "handles": [
      "<string>"
    ],
    "limit": 0
  },
  "ultraSpeed": {
    "trackedAccounts": {
      "count": 0,
      "handles": [
        "<string>"
      ]
    }
  },
  "userId": "<string>",
  "websocket": {
    "count": 0,
    "limit": 0
  }
}
```

### 401

```json
{
  "error": "<string>"
}
```

### 403

```json
{
  "error": "<string>"
}
```

### 404

```json
{
  "error": "<string>"
}
```

### 500

```json
{
  "error": "<string>"
}
```

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.tweetstream.io/api/me \
  --header "Authorization: Bearer $TWEETSTREAM_API_KEY"
```

### JavaScript

```javascript
const response = await fetch("https://api.tweetstream.io/api/me", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.TWEETSTREAM_API_KEY}`,
  },
});

console.log(response.status, await response.json());
```

### Python

```python
import os
import requests

response = requests.get(
    "https://api.tweetstream.io/api/me",
    headers={"Authorization": f"Bearer {os.environ['TWEETSTREAM_API_KEY']}"},
)

print(response.status_code, response.json())
```
